#!/usr/bin/env tclsh

set w1   results/w1.sdds
set w1_I results/w1_I.sdds

proc get_I {w I s_min s_max bin_size_ds} {
    exec \
    sddshist $w -pipe=out \
            -dataColumn=dt -sizeOfBins=[expr {$bin_size_ds/3.0e8}] -statistics \
        -lowerLimit=[expr {$s_min/3.0e8}] -upperLimit=[expr {$s_max/3.0e8}] | \
    sddsprocess -pipe \
            "-define=column,I,Charge Particles / frequency * sddshistBinSize / ,units=A" \
            "-define=column,s,dt c_mks * -1 *,units=m" | \
    sddsprocess -pipe=in $I \
        "-process=I,maximum,I_max"
}

get_I $w1 $w1_I -0.7  +0.7  1.5e-2
