#!/usr/bin/tclsh

set beam results/w1.sdds
set gif results/movie.gif

# laptop:
#set convert "C:/Program Files/ImageMagick-6.8.6-Q16/convert"
# desktop:
set convert "C:/Program Files/ImageMagick-7.0.8-Q16/magick"

set viewer  "C:/Program Files (x86)/Google/Chrome/Application/chrome.exe"

set N_pages [lindex [exec \
    sddsprocess $beam -pipe=out "-define=par,PageNumber,i_page,type=long" | \
    sdds2stream -pipe=in -par=PageNumber] end]

set frames2skip 0

for {set page 1} {$page <= $N_pages} {set page [expr {$page+$frames2skip+1}]} {
    set png [format "results/frame_%03.0f.png" $page]
    puts "Plotting $png..."
    exec tclsh plot_png_frame.tcl $page $png >@ stdout
    lappend png_frames $png
}

puts "Converting png-frames to gif-movie..."
set cmd [join $png_frames " -delay 15 "]
set last_frame [lindex $png_frames end]
eval exec {$convert} \
    -delay 300 $cmd \
    -delay 300 $last_frame $gif >@ stdout

#    -delay 300 $last_frame -layers optimize $gif >@ stdout

eval file delete -force $png_frames

exec $viewer $gif &

