#!/usr/bin/tclsh

set page 4
set png results/frame.png

set viewer "C:/Program Files (x86)/Google/Chrome/Application/chrome.exe"

if {$::argv != ""} {
    set page [lindex $::argv 0]
    set png  [lindex $::argv 1]
}

set captured_tail 1
set lost_tail 1

set w results/w1.sdds
set I results/w1_I.sdds

set c_mks [exec rpnl c_mks]

set frame results/frame.sdds
exec sddsconvert $w $frame -binary -keepPages=$page
set frame_I results/frame_I.sdds
exec sddsconvert $I $frame_I -binary -keepPages=$page

exec \
    sddsplot -device=lpng,onwhite -output=$png -lay=1,2 \
            "-title=" \
            "-xLabel=s (m)" "-yLabel=E (GeV)" \
            -col=dt,p -graph=dot,type=10 -factor=xMult=-$c_mks,yMult=0.511e-3 $frame \
            -scales=-0.7,+0.7,449.4,450.6 \
            -drawline=p0v=0.02,p1v=0.98,y0v=450,y1v=450,linetype=15 \
            -drawline=q0v=0.02,q1v=0.98,x0v=0,x1v=0,linetype=15 \
            "-string=Turn =,q=1.05,p=0.40,scale=1" \
            -string=@Pass,q=1.05,p=0.53,scale=1 \
            -tickSettings=yspacing=0.5 \
        -endPanel \
        -column=s,I -graph=impulse,type=2,thick=4 $frame_I \
        -drawline=p0v=0.02,p1v=0.98,y0v=0,y1v=0,linetype=0 \
        "-xLabel=s (m)" "-yLabel=I (A)" \
        -scales=-0.7,+0.7,-10,210 \

if {$::argv == ""} {
    exec $viewer $png
}
