#!/usr/bin/tclsh

set w results/w1.sdds

set c_mks [exec rpnl c_mks]

exec \
    sddsplot \
    "-title=" -split=page -sep=page -groupBy=page -sameScale=global -scales=-0.7,+0.7,449.35,450.65 \
        -drawline=p0v=0.02,p1v=0.98,y0v=450,y1v=450,linetype=15 \
    -lay=1,1 "-device=motif,-bgColor white -line0Color black" \
    -string=Turn=,q=1.05,p=0.35,scale=2 \
    -string=@Pass,q=1.05,p=0.52,scale=2 \
    "-xLabel=s (m)" "-yLabel=E (GeV)" \
    -col=dt,p -graph=dot,type=10 -factor=xMult=-$c_mks,yMult=0.511e-3 $w \
    &

# -mode=x=center
